# sphobjinv.cli.core

`sphobjinv` CLI core execution module.

`sphobjinv` is a toolkit for manipulation and inspection of Sphinx objects.inv files.

Author

  Brian Skinn (brian.skinn@gmail.com)

File Created

  15 Nov 2020

Copyright

  (c) Brian Skinn 2016-2025

Source Repository

  https://github.com/bskinn/sphobjinv

Documentation

  https://sphobjinv.readthedocs.io/en/stable

License

  Code: MIT License

  Docs & Docstrings: CC BY 4.0 International License

  See LICENSE.txt for full license terms.

Members

main()

  Handle command line invocation.

  Parses command line arguments, handling the no-arguments and `VERSION` cases.

  Creates the `Inventory` from the indicated source and method.

  Invokes `do_convert()` or `do_suggest()` per the subparser name stored in `SUBPARSER_NAME`.